Index: branches/2016/dev_CNRS_AGRIF_2016/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90
===================================================================
--- branches/2016/dev_CNRS_AGRIF_2016/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 7308)
+++ branches/2016/dev_CNRS_AGRIF_2016/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 7309)
@@ -23,5 +23,4 @@
    USE ice              ! sea-ice variables
    USE par_oce          ! ocean parameters
-   USE dom_ice          ! sea-ice domain
    USE limvar           ! lim_var_salprof
    USE in_out_manager   ! I/O manager
@@ -37,17 +36,4 @@
    PUBLIC   lim_istate      ! routine called by lim_init.F90
 
-   !                          !!** init namelist (namiceini) **
-   REAL(wp) ::   rn_thres_sst   ! threshold water temperature for initial sea ice
-   REAL(wp) ::   rn_hts_ini_n   ! initial snow thickness in the north
-   REAL(wp) ::   rn_hts_ini_s   ! initial snow thickness in the south
-   REAL(wp) ::   rn_hti_ini_n   ! initial ice thickness in the north
-   REAL(wp) ::   rn_hti_ini_s   ! initial ice thickness in the south
-   REAL(wp) ::   rn_ati_ini_n   ! initial leads area in the north
-   REAL(wp) ::   rn_ati_ini_s   ! initial leads area in the south
-   REAL(wp) ::   rn_smi_ini_n   ! initial salinity 
-   REAL(wp) ::   rn_smi_ini_s   ! initial salinity
-   REAL(wp) ::   rn_tmi_ini_n   ! initial temperature
-   REAL(wp) ::   rn_tmi_ini_s   ! initial temperature
-
    INTEGER , PARAMETER ::   jpfldi = 6           ! maximum number of files to read
    INTEGER , PARAMETER ::   jp_hti = 1           ! index of ice thickness (m)    at T-point
@@ -57,8 +43,5 @@
    INTEGER , PARAMETER ::   jp_tmi = 5           ! index of ice temp at T-point
    INTEGER , PARAMETER ::   jp_smi = 6           ! index of ice sali at T-point
-   TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   si    ! structure of input fields (file informations, fields read)
-
-   LOGICAL  ::  ln_iceini        ! initialization or not
-   LOGICAL  ::  ln_iceini_file   ! Ice initialization state from 2D netcdf file
+   TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   si  ! structure of input fields (file informations, fields read)
    !!----------------------------------------------------------------------
    !!   LIM 3.0,  UCL-LOCEAN-IPSL (2008)
@@ -101,14 +84,16 @@
       REAL(wp)   :: ztmelts, zdh
       INTEGER    :: i_hemis, i_fill, jl0  
-      REAL(wp)   :: ztest_1, ztest_2, ztest_3, ztest_4, ztests, zsigma, zarg, zA, zV, zA_cons, zV_cons, zconv 
+      REAL(wp)   :: zarg, zV, zconv, zdv 
       REAL(wp), POINTER, DIMENSION(:,:)   :: zswitch    ! ice indicator
       REAL(wp), POINTER, DIMENSION(:,:)   :: zht_i_ini, zat_i_ini, zvt_i_ini            !data from namelist or nc file
       REAL(wp), POINTER, DIMENSION(:,:)   :: zts_u_ini, zht_s_ini, zsm_i_ini, ztm_i_ini !data from namelist or nc file
-      REAL(wp), POINTER, DIMENSION(:,:,:) :: zh_i_ini, za_i_ini, zv_i_ini               !data by cattegories to fill
-      !--------------------------------------------------------------------
-
-      CALL wrk_alloc( jpi, jpj, jpl, zh_i_ini,  za_i_ini,  zv_i_ini )
+      REAL(wp), POINTER, DIMENSION(:,:,:) :: zh_i_ini, za_i_ini                         !data by cattegories to fill
+      INTEGER , POINTER, DIMENSION(:)     :: itest
+      !--------------------------------------------------------------------
+
+      CALL wrk_alloc( jpi, jpj, jpl, zh_i_ini,  za_i_ini )
       CALL wrk_alloc( jpi, jpj,      zht_i_ini, zat_i_ini, zvt_i_ini, zts_u_ini, zht_s_ini, zsm_i_ini, ztm_i_ini )
       CALL wrk_alloc( jpi, jpj,      zswitch )
+      Call wrk_alloc( 4,             itest )
 
       IF(lwp) WRITE(numout,*)
@@ -119,38 +104,23 @@
       ! 1) Read namelist
       !--------------------------------------------------------------------
-
-      CALL lim_istate_init     !  reading the initials parameters of the ice
-
-      ! surface temperature
-      DO jl = 1, jpl ! loop over categories
+      CALL lim_istate_init
+
+      ! init surface temperature
+      DO jl = 1, jpl
          t_su  (:,:,jl) = rt0 * tmask(:,:,1)
          tn_ice(:,:,jl) = rt0 * tmask(:,:,1)
       END DO
 
-      ! basal temperature (considered at freezing point)
+      ! init basal temperature (considered at freezing point)
       CALL eos_fzp( sss_m(:,:), t_bo(:,:) )
       t_bo(:,:) = ( t_bo(:,:) + rt0 ) * tmask(:,:,1) 
 
 
-      IF( ln_iceini ) THEN
-
-         !--------------------------------------------------------------------
-         ! 2) Basal temperature, ice mask and hemispheric index
-         !--------------------------------------------------------------------
-
-         DO jj = 1, jpj                                       ! ice if sst <= t-freez + ttest
-            DO ji = 1, jpi
-               IF( ( sst_m(ji,jj)  - ( t_bo(ji,jj) - rt0 ) ) * tmask(ji,jj,1) >= rn_thres_sst ) THEN 
-                  zswitch(ji,jj) = 0._wp * tmask(ji,jj,1)    ! no ice
-               ELSE                                                                                   
-                  zswitch(ji,jj) = 1._wp * tmask(ji,jj,1)    !    ice
-               ENDIF
-            END DO
-         END DO
-
-         !--------------------------------------------------------------------
-         ! 3) Initialization of sea ice state variables
-         !--------------------------------------------------------------------
-         IF( ln_iceini_file )THEN
+      !--------------------------------------------------------------------
+      ! 2) Initialization of sea ice state variables
+      !--------------------------------------------------------------------
+      IF( ln_limini ) THEN
+
+         IF( ln_limini_file )THEN
 
             zht_i_ini(:,:)  = si(jp_hti)%fnow(:,:,1)
@@ -161,5 +131,17 @@
             zsm_i_ini(:,:)  = si(jp_smi)%fnow(:,:,1)
 
-         ELSE ! ln_iceini_file = F
+            WHERE( zat_i_ini(:,:) > 0._wp ) ; zswitch(:,:) = tmask(:,:,1) 
+            ELSEWHERE                       ; zswitch(:,:) = 0._wp
+            END WHERE
+
+         ELSE ! ln_limini_file = F
+
+            !--------------------------------------------------------------------
+            ! 3) Basal temperature, ice mask
+            !--------------------------------------------------------------------
+            ! no ice if sst <= t-freez + ttest
+            WHERE( ( sst_m(:,:) - (t_bo(:,:) - rt0) ) * tmask(:,:,1) >= rn_thres_sst ) ; zswitch(:,:) = 0._wp 
+            ELSEWHERE                                                                  ; zswitch(:,:) = tmask(:,:,1)
+            END WHERE
 
             !-----------------------------
@@ -169,26 +151,25 @@
             DO jj = 1, jpj
                DO ji = 1, jpi
-                  IF( fcor(ji,jj) >= 0._wp ) THEN
-                     zht_i_ini(ji,jj) = rn_hti_ini_n
-                     zht_s_ini(ji,jj) = rn_hts_ini_n
-                     zat_i_ini(ji,jj) = rn_ati_ini_n
-                     zts_u_ini(ji,jj) = rn_tmi_ini_n
-                     zsm_i_ini(ji,jj) = rn_smi_ini_n
-                     ztm_i_ini(ji,jj) = rn_tmi_ini_n
+                  IF( ff(ji,jj) >= 0._wp ) THEN
+                     zht_i_ini(ji,jj) = rn_hti_ini_n * zswitch(ji,jj)
+                     zht_s_ini(ji,jj) = rn_hts_ini_n * zswitch(ji,jj)
+                     zat_i_ini(ji,jj) = rn_ati_ini_n * zswitch(ji,jj)
+                     zts_u_ini(ji,jj) = rn_tmi_ini_n * zswitch(ji,jj)
+                     zsm_i_ini(ji,jj) = rn_smi_ini_n * zswitch(ji,jj)
+                     ztm_i_ini(ji,jj) = rn_tmi_ini_n * zswitch(ji,jj)
                   ELSE
-                     zht_i_ini(ji,jj) = rn_hti_ini_s
-                     zht_s_ini(ji,jj) = rn_hts_ini_s
-                     zat_i_ini(ji,jj) = rn_ati_ini_s
-                     zts_u_ini(ji,jj) = rn_tmi_ini_s
-                     zsm_i_ini(ji,jj) = rn_smi_ini_s
-                     ztm_i_ini(ji,jj) = rn_tmi_ini_s
+                     zht_i_ini(ji,jj) = rn_hti_ini_s * zswitch(ji,jj)
+                     zht_s_ini(ji,jj) = rn_hts_ini_s * zswitch(ji,jj)
+                     zat_i_ini(ji,jj) = rn_ati_ini_s * zswitch(ji,jj)
+                     zts_u_ini(ji,jj) = rn_tmi_ini_s * zswitch(ji,jj)
+                     zsm_i_ini(ji,jj) = rn_smi_ini_s * zswitch(ji,jj)
+                     ztm_i_ini(ji,jj) = rn_tmi_ini_s * zswitch(ji,jj)
                   ENDIF
                END DO
             END DO
 
-         ENDIF ! ln_iceini_file
-
+         ENDIF ! ln_limini_file
+         
          zvt_i_ini(:,:) = zht_i_ini(:,:) * zat_i_ini(:,:)   ! ice volume
-
          !---------------------------------------------------------------------
          ! 3.2) Distribute ice concentration and thickness into the categories
@@ -199,5 +180,4 @@
          zh_i_ini(:,:,:) = 0._wp 
          za_i_ini(:,:,:) = 0._wp
-         zv_i_ini(:,:,:) = 0._wp
 
          DO jj = 1, jpj
@@ -206,128 +186,109 @@
                IF( zat_i_ini(ji,jj) > 0._wp .AND. zht_i_ini(ji,jj) > 0._wp )THEN
 
-                  ztest_1 = 0 ; ztest_2 = 0 ; ztest_3 = 0 ; ztest_4 = 0
-!                  ztests  = 0 
-
-                  DO i_fill = jpl, 1, -1
-
-!                     IF( ztests .NE. 4 ) THEN
-                     IF ( ( ztest_1 + ztest_2 + ztest_3 + ztest_4 ) .NE. 4 ) THEN
-                        !----------------------------
-                        ! fill the i_fill categories
-                        !----------------------------
-                        ! *** 1 category to fill
-                        IF ( i_fill .EQ. 1 ) THEN
-                           zh_i_ini(ji,jj,    1)   = zht_i_ini(ji,jj)
-                           za_i_ini(ji,jj,    1)   = zat_i_ini(ji,jj)
-                           zh_i_ini(ji,jj,2:jpl)   = 0._wp
-                           za_i_ini(ji,jj,2:jpl)   = 0._wp
-                        ELSE
-
-                           ! *** >1 categores to fill
-                           !--- Ice thicknesses in the i_fill - 1 first categories
-                           DO jl = 1, i_fill - 1
-                              zh_i_ini(ji,jj,jl) = hi_mean(jl)
-                           END DO
+                  !--- jl0: most likely index where cc will be maximum
+                  jl0 = jpl
+                  DO jl = 1, jpl
+                     IF ( ( zht_i_ini(ji,jj) >  hi_max(jl-1) ) .AND. ( zht_i_ini(ji,jj) <= hi_max(jl) ) ) THEN
+                        jl0 = jl
+                        CYCLE
+                     ENDIF
+                  END DO
+
+                  ! initialisation of tests
+                  itest(:)  = 0
+                  
+                  i_fill = jpl + 1                                             !====================================
+                  DO WHILE ( ( SUM( itest(:) ) /= 4 ) .AND. ( i_fill >= 2 ) )  ! iterative loop on i_fill categories
+                     ! iteration                                               !====================================
+                     i_fill = i_fill - 1
+
+                     ! initialisation of ice variables for each try
+                     zh_i_ini(ji,jj,:) = 0._wp 
+                     za_i_ini(ji,jj,:) = 0._wp
+                     itest(:) = 0
+
+                     ! *** case very thin ice: fill only category 1
+                     IF ( i_fill == 1 ) THEN
+                        zh_i_ini(ji,jj,1) = zht_i_ini(ji,jj)
+                        za_i_ini(ji,jj,1) = zat_i_ini(ji,jj)
+
+                     ! *** case ice is thicker: fill categories >1
+                     ELSE
+
+                        ! Fill ice thicknesses in the (i_fill-1) cat by hmean 
+                        DO jl = 1, i_fill-1
+                           zh_i_ini(ji,jj,jl) = hi_mean(jl)
+                        END DO
                
-                           !--- jl0: most likely index where cc will be maximum
-                           DO jl = 1, jpl
-                              IF ( ( zht_i_ini(ji,jj) >  hi_max(jl-1) ) .AND. &
-                                 & ( zht_i_ini(ji,jj) <= hi_max(jl)   ) ) THEN
-                                 jl0 = jl
-                              ENDIF
-                           END DO
-                           jl0 = MIN(jl0, i_fill)
-               
-                           !--- Concentrations
-                           za_i_ini(ji,jj,jl0) = zat_i_ini(ji,jj) / SQRT(REAL(jpl))
-                           DO jl = 1, i_fill - 1
-                              IF( jl .NE. jl0 )THEN
-                                 zsigma             = 0.5 * zht_i_ini(ji,jj)
-                                 zarg               = ( zh_i_ini(ji,jj,jl) - zht_i_ini(ji,jj) ) / zsigma
-                                 za_i_ini(ji,jj,jl) = za_i_ini(ji,jj,jl0) * EXP(-zarg**2)
-                              ENDIF
-                           END DO
-               
-                           zA = 0. ! sum of the areas in the jpl categories 
-                           DO jl = 1, i_fill - 1
-                              zA = zA + za_i_ini(ji,jj,jl)
-                           END DO
-                           za_i_ini(ji,jj,i_fill)   = zat_i_ini(ji,jj) - zA ! ice conc in the last category
-                           IF ( i_fill .LT. jpl ) za_i_ini(ji,jj,i_fill+1:jpl) = 0._wp
-         
-                           !--- Ice thickness in the last category
-                           zV = 0. ! sum of the volumes of the N-1 categories
-                           DO jl = 1, i_fill - 1
-                              zV = zV + za_i_ini(ji,jj,jl)*zh_i_ini(ji,jj,jl)
-                           END DO
-                           zh_i_ini(ji,jj,i_fill) = ( zvt_i_ini(ji,jj) - zV ) / za_i_ini(ji,jj,i_fill) 
-                           IF ( i_fill .LT. jpl ) zh_i_ini(ji,jj,i_fill+1:jpl) = 0._wp
-
-                           !--- volumes
-                           zv_i_ini(ji,jj,:) = za_i_ini(ji,jj,:) * zh_i_ini(ji,jj,:)
-                           IF ( i_fill .LT. jpl ) zv_i_ini(ji,jj,i_fill+1:jpl) = 0._wp
-
-                        ENDIF ! i_fill
-
-                        !---------------------
-                        ! Compatibility tests
-                        !---------------------
-                        ! Test 1: area conservation
-                        zA_cons = SUM(za_i_ini(ji,jj,:)) ; zconv = ABS(zat_i_ini(ji,jj) - zA_cons )
-                        IF ( zconv .LT. 1.0e-6 ) THEN
-                           ztest_1 = 1
-                        ELSE 
-                          ztest_1 = 0
-                        ENDIF
-
-                        ! Test 2: volume conservation
-                        zV_cons = SUM(zv_i_ini(ji,jj,:))
-                        zconv = ABS(zvt_i_ini(ji,jj) - zV_cons)
-
-                        IF( zconv .LT. 1.0e-6 ) THEN
-                           ztest_2 = 1
-                        ELSE
-                           ztest_2 = 0
-                        ENDIF
-
-                        ! Test 3: thickness of the last category is in-bounds ?
-                        IF ( zh_i_ini(ji,jj,i_fill) > hi_max(i_fill-1) ) THEN
-                           ztest_3 = 1
-                        ELSE
-                           ztest_3 = 0
-                        ENDIF
-
-                        ! Test 4: positivity of ice concentrations
-                        ztest_4 = 1
-                        DO jl = 1, jpl
-                           IF ( za_i_ini(ji,jj,jl) .LT. 0._wp ) THEN 
-                              ztest_4 = 0
+                        !--- Concentrations
+                        za_i_ini(ji,jj,jl0) = zat_i_ini(ji,jj) / SQRT(REAL(jpl))
+                        DO jl = 1, i_fill - 1
+                           IF( jl /= jl0 )THEN
+                              zarg               = ( zh_i_ini(ji,jj,jl) - zht_i_ini(ji,jj) ) / ( 0.5_wp * zht_i_ini(ji,jj) )
+                              za_i_ini(ji,jj,jl) = za_i_ini(ji,jj,jl0) * EXP(-zarg**2)
                            ENDIF
                         END DO
-
-                     ENDIF ! ztest_1 + ztest_2 + ztest_3 + ztest_4
- 
-                     ztests = ztest_1 + ztest_2 + ztest_3 + ztest_4
-
-                  END DO ! i_fill
-
-                  IF(lwp) THEN 
-                     WRITE(numout,*) ' ztests : ', ztests
-                     IF( ztests .NE. 4 )THEN
-                        WRITE(numout,*)
-                        WRITE(numout,*) ' !!!! ALERT                  !!! '
-                        WRITE(numout,*) ' !!!! Something is wrong in the LIM3 initialization procedure '
-                        WRITE(numout,*)
-                        WRITE(numout,*) ' *** ztests is not equal to 4 '
-                        WRITE(numout,*) ' *** ztest_i (i=1,4) = ', ztest_1, ztest_2, ztest_3, ztest_4
-                        WRITE(numout,*) ' zat_i_ini : ', zat_i_ini(ji,jj)
-                        WRITE(numout,*) ' zht_i_ini : ', zht_i_ini(ji,jj)
-                     ENDIF ! ztests .NE. 4
+               
+                        ! Concentration in the last (i_fill) category
+                        za_i_ini(ji,jj,i_fill) = zat_i_ini(ji,jj) - SUM( za_i_ini(ji,jj,1:i_fill-1) )
+
+                        ! Ice thickness in the last (i_fill) category
+                        zV = SUM( za_i_ini(ji,jj,1:i_fill-1) * zh_i_ini(ji,jj,1:i_fill-1) )
+                        zh_i_ini(ji,jj,i_fill) = ( zvt_i_ini(ji,jj) - zV ) / MAX( za_i_ini(ji,jj,i_fill), epsi10 ) 
+
+                        ! clem: correction if concentration of upper cat is greater than lower cat
+                        !       (it should be a gaussian around jl0 but sometimes it is not)
+                        IF ( jl0 /= jpl ) THEN
+                           DO jl = jpl, jl0+1, -1
+                              IF ( za_i_ini(ji,jj,jl) > za_i_ini(ji,jj,jl-1) ) THEN
+                                 zdv = zh_i_ini(ji,jj,jl) * za_i_ini(ji,jj,jl)
+                                 zh_i_ini(ji,jj,jl    ) = 0._wp
+                                 za_i_ini(ji,jj,jl    ) = 0._wp
+                                 za_i_ini(ji,jj,1:jl-1) = za_i_ini(ji,jj,1:jl-1)  &
+                                    &                     + zdv / MAX( REAL(jl-1) * zht_i_ini(ji,jj), epsi10 )
+                              END IF
+                           ENDDO
+                        ENDIF
+
+                     ENDIF ! case ice is thick or thin
+
+                     !---------------------
+                     ! Compatibility tests
+                     !---------------------
+                     ! Test 1: area conservation
+                     zconv = ABS( zat_i_ini(ji,jj) - SUM( za_i_ini(ji,jj,1:jpl) ) )
+                     IF ( zconv < epsi06 ) itest(1) = 1
+                     
+                     ! Test 2: volume conservation
+                     zconv = ABS(       zat_i_ini(ji,jj)       * zht_i_ini(ji,jj)   &
+                        &        - SUM( za_i_ini (ji,jj,1:jpl) * zh_i_ini (ji,jj,1:jpl) ) )
+                     IF ( zconv < epsi06 ) itest(2) = 1
+                     
+                     ! Test 3: thickness of the last category is in-bounds ?
+                     IF ( zh_i_ini(ji,jj,i_fill) >= hi_max(i_fill-1) ) itest(3) = 1
+                     
+                     ! Test 4: positivity of ice concentrations
+                     itest(4) = 1
+                     DO jl = 1, i_fill
+                        IF ( za_i_ini(ji,jj,jl) < 0._wp ) itest(4) = 0
+                     END DO
+                     !                                      !============================
+                  END DO                                    ! end iteration on categories
+                  !                                         !============================
+
+                  IF( lwp .AND. SUM(itest) /= 4 ) THEN 
+                     WRITE(numout,*)
+                     WRITE(numout,*) ' !!!! ALERT itest is not equal to 4      !!! '
+                     WRITE(numout,*) ' !!!! Something is wrong in the LIM3 initialization procedure '
+                     WRITE(numout,*)
+                     WRITE(numout,*) ' *** itest_i (i=1,4) = ', itest(:)
+                     WRITE(numout,*) ' zat_i_ini : ', zat_i_ini(ji,jj)
+                     WRITE(numout,*) ' zht_i_ini : ', zht_i_ini(ji,jj)
                   ENDIF
-      
-               ENDIF !  zat_i_ini(ji,jj) > 0._wp .AND. zhm_i_ini(ji,jj) > 0._wp
-
-            ENDDO   
-         ENDDO   
+               
+               ENDIF !  zat_i_ini(ji,jj) > 0._wp .AND. zht_i_ini(ji,jj) > 0._wp
+            
+            ENDDO
+         ENDDO
 
          !---------------------------------------------------------------------
@@ -373,5 +334,5 @@
             smv_i = sm_i * v_i
          ENDIF
-         
+            
          ! Snow temperature and heat content
          DO jk = 1, nlay_s
@@ -413,5 +374,5 @@
          tn_ice (:,:,:) = t_su (:,:,:)
 
-      ELSE ! if ln_iceini=false
+      ELSE ! if ln_limini=false
          a_i  (:,:,:) = 0._wp
          v_i  (:,:,:) = 0._wp
@@ -436,5 +397,5 @@
          END DO
 
-      ENDIF ! ln_iceini
+      ENDIF ! ln_limini
       
       at_i (:,:) = 0.0_wp
@@ -486,8 +447,13 @@
       sxyage (:,:,:)  = 0._wp
 
-
-      CALL wrk_dealloc( jpi, jpj, jpl, zh_i_ini,  za_i_ini,  zv_i_ini )
+!!!clem
+!!      ! Output the initial state and forcings
+!!      CALL dia_wri_state( 'output.init', nit000 )
+!!!      
+
+      CALL wrk_dealloc( jpi, jpj, jpl, zh_i_ini,  za_i_ini )
       CALL wrk_dealloc( jpi, jpj,      zht_i_ini, zat_i_ini, zvt_i_ini, zts_u_ini, zht_s_ini, zsm_i_ini, ztm_i_ini )
       CALL wrk_dealloc( jpi, jpj,      zswitch )
+      Call wrk_dealloc( 4,             itest )
 
    END SUBROUTINE lim_istate
@@ -518,5 +484,5 @@
       TYPE(FLD_N), DIMENSION(jpfldi) ::   slf_i                 ! array of namelist informations on the fields to read
       !
-      NAMELIST/namiceini/ ln_iceini, ln_iceini_file, rn_thres_sst, rn_hts_ini_n, rn_hts_ini_s,  &
+      NAMELIST/namiceini/ ln_limini, ln_limini_file, rn_thres_sst, rn_hts_ini_n, rn_hts_ini_s,  &
          &                rn_hti_ini_n, rn_hti_ini_s, rn_ati_ini_n, rn_ati_ini_s, rn_smi_ini_n, &
          &                rn_smi_ini_s, rn_tmi_ini_n, rn_tmi_ini_s,                             &
@@ -544,6 +510,6 @@
          WRITE(numout,*) 'lim_istate_init : ice parameters inititialisation '
          WRITE(numout,*) '~~~~~~~~~~~~~~~'
-         WRITE(numout,*) '   initialization with ice (T) or not (F)       ln_iceini     = ', ln_iceini
-         WRITE(numout,*) '   ice initialization from a netcdf file      ln_iceini_file  = ', ln_iceini_file
+         WRITE(numout,*) '   initialization with ice (T) or not (F)       ln_limini     = ', ln_limini
+         WRITE(numout,*) '   ice initialization from a netcdf file      ln_limini_file  = ', ln_limini_file
          WRITE(numout,*) '   threshold water temp. for initial sea-ice    rn_thres_sst  = ', rn_thres_sst
          WRITE(numout,*) '   initial snow thickness in the north          rn_hts_ini_n  = ', rn_hts_ini_n
@@ -559,5 +525,5 @@
       ENDIF
 
-      IF( ln_iceini_file ) THEN                      ! Ice initialization using input file
+      IF( ln_limini_file ) THEN                      ! Ice initialization using input file
          !
          ! set si structure
